Bug 1821291 - Default openshift install requests too many CPU resources to install all components, requests of components on cluster are wrong
Summary: Default openshift install requests too many CPU resources to install all comp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.4.0
Assignee: Aniket Bhat
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1812583
Blocks: 1821294
TreeView+ depends on / blocked
 
Reported: 2020-04-06 14:01 UTC by Ben Parees
Modified: 2020-05-04 11:48 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1812709
: 1821294 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:48:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 531 None closed Bug 1821291: Normalize CPU requests on nodes 2020-05-13 01:50:23 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:48:58 UTC

Comment 1 Ben Parees 2020-04-06 14:01:44 UTC
Please use this bug to backport https://github.com/openshift/cluster-network-operator/pull/530

Comment 4 Ben Parees 2020-04-08 15:49:38 UTC
Unless you have a reason not to do it for 4.4.0(high risk?  not enough time?), you should do it for 4.4.0.

Note that I didn't open the original bug, I just cloned it back to 4.4 and 4.3 because it was marked severy "urgent" in 4.5 and if a bug is marked severity "urgent" it stands to reason we need it fixed in older releases also.  So you may want to ask Clayton for a second opinion.

Comment 5 W. Trevor King 2020-04-08 23:01:32 UTC
The 4.3 bug 1820432 was seen on some customer Azure clusters, so as long as folks feel these changes are safe, I'd rather have them backported without waiting for 4.4.z, so we can get them VERIFIED in 4.4 and land the 4.3 backports sooner.  Not my call, but weighing in in case a feather on the scale tips the decision ;).

Comment 8 zhaozhanqi 2020-04-10 02:25:04 UTC
Verified this bug on 4.4.0-0.nightly-2020-04-09-194724
oc get pod ovs-6rx8q -n openshift-sdn -o yaml | grep cpu
        cpu: 100m

Comment 10 errata-xmlrpc 2020-05-04 11:48:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.